# Installing HNN on macOS

This guide describes installing HNN on macOS. For recent macOS versions 10.12 (Sierra) and above, we recommend the Docker install method. If you have an older macOS version (before 10.12), first try the Docker Toolbox install. If it fails, then use the native install or Virtualbox methods instead.

* [10.12 (Sierra) or above: Docker Desktop](./docker-desktop.md)
* [From 10.8 (Mountain Lion) to 10.12 (Sierra): Docker Toolbox](./docker-toolbox.md)

If you want to install HNN without Docker, please see the instructions below.

* [Native install instructions (advanced users)](native_install.md)

Finally another option for users that are running into problems with the above methods, we provide a VirtualBox VM pre-installed with HNN.

* [Virtualbox install instructions](../virtualbox/README.md)
